using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework;

namespace Ika.Graphics.Effects
{
    public class SSAOBlurEffect : BlurEffect
    {
        public Texture2D RT1
        {
            set { m_effect.Parameters["RT1"].SetValue(value); }
        }

        public Texture2D RT3
        {
            set { m_effect.Parameters["RT3"].SetValue(value); }
        }

        public Vector3 ViewForward
        {
            set { m_effect.Parameters["viewForward"].SetValue(value); }
        }

        public SSAOBlurEffect(Effect effect)
            : base(effect)
        {
        }
    }
}
